
// <![CDATA[

"use strict";

let xmlhttpArtikeltabelle = new XMLHttpRequest();
xmlhttpArtikeltabelle.onreadystatechange = receiveJsonArtikeltabelle;


// das hier ist startAjax
function callArtikeltabelle() {
	"use strict";
	let param = 'getFernseherListe.php';
	alert(param);
	xmlhttpArtikeltabelle.open("GET", param);
	xmlhttpArtikeltabelle.setRequestHeader('Pragma', 'no-cache');
	xmlhttpArtikeltabelle.setRequestHeader('Cache-Control', 'must-revalidate');
	xmlhttpArtikeltabelle.send();
}  // startAjax









function getTVStyles() {
	"use strict";
	return '<link rel="stylesheet" type="text/css"  href="showartikeltable.css" title="style1"/>';
}











function  checkboxClick( mainid ) {
	"use strict";

	// 1:label   2: Text  3: CheckBox
	let label = document.getElementById(  (mainid+1).toString() );
	let text = document.getElementById(  (mainid+2).toString() );
	let checkbox = document.getElementById(  (mainid+3).toString() );

	// display-Properties  none; inline; block; inline-block
	if (checkbox.checked ) {
		checkbox.checked=false;
		label.innerHTML='\u274C';
		text.className = "vergleichenBlack";
	}
	else {
		checkbox.checked=true;
		label.innerHTML='\u2705';
		text.className = "vergleichenGreen";
	}
}  // function checkboxClick













function createArticleCell(artikel, mainnr) {
	"use strict";
	let s = '<div class="tv">' + '\n';
	s+='<div class="caption">' + artikel.bez + '</div><br />\n';

	s+='<img src="' + artikel.bildpfad + '" title="' + artikel.bez + '"  height="200" />\n'  ;
	s+='<ul>\n';
	s+='<li>' + 'Firma: ' + artikel.firma + '</li>' + '\n';
	s+='<li>' + 'Breite: ' + artikel.breite + '</li>' + '\n';
	s+='<li>' + 'Höhe: ' + artikel.hoehe + '</li>' + '\n';
	s+='<li>' + 'Diagonale: ' + artikel.diagonale + '</li>' + '\n';
	s+='<li>' + 'Bildtechnik: ' + artikel.bildtechnik + '</li>' + '\n';
	s+='<li>' + 'Preis: ' + artikel.epreis + ' EURO' + '</li>' + '\n';
	s+='<li>' + 'Pindex: ' + artikel.pindex +  '</li>' + '\n';
	s+='</ul>' + '\n';

	let mainnr1 = mainnr+1;
	let mainnr2 = mainnr+2;
	let mainnr3 = mainnr+3;

	s+='<label id="'+mainnr1 + '" onclick="checkboxClick('+mainnr+')"  >&#x274C;</label>\n';
	s+= '<span id="'+mainnr2+'" onclick="checkboxClick('+mainnr+')\" >Vergleichen</span>\n';
	s+= '<input type="checkbox" class="ckbox" name="pindex[]" value="'+artikel.pindex+'"  id="'+mainnr3+'"  />\n';

	s+= '<br />\n';
	s+= '<br />\n';
	s+= '<br />\n';
	s+= '<br />\n';
	s += '</div>' + '\n';

	return s;
}










function  validation( ) {
	"use strict";
	let elements = document.getElementsByClassName("ckbox");
	let anz=0;
	for (let i in elements) {
		let chkbox = elements[i];
		if (chkbox.checked ) {
			anz++;
		} // if
	} // for
	if (anz>3) {
		alert('Bitte markieren Sie maximal drei Artikel');
		return false;
	}
	if (anz==0) {
		alert('Bitte markieren Sie mindestens einen Artikel (maximal drei Artikel)');
		return false;
	}
	//alert('hier in validation, elements.length: '+elements.length+"\nAnz Selected: "+anz);
	return true;
} // validation








function getFilterStrings(listeDiagonale) {
	"use strict";
	let s='';
	s+='<div class="Filter">';
	s+='<h3>Filter</h3>\n';
	s+='<label for="minPreisId" > Min. Preis</label><br />\n';
	s+='<input type="number" id="minPreisId"  name="minpreis"  min="0"  max="100000" value ="350" /> <br />\n';
	s+='<br />\n';
	s+='<br />\n';

	s+='<label for="maxPreisId" > Max. Preis</label><br />\n';
	s+='<input type="number" id="maxPreisId" name="maxpreis"  min="0"  max="100000" value ="500" /> <br />\n';

	s+='<label for="rangeId">Range Element</label>\n';
	s+='<input type="range" name="rangeMaxPreis" id="rangeId"  min="0" max="500" value="17" /> \n';
	s+='<output for="rangeId" name="rangeLevelMaxPreis">0</output>\n';

	s+='<br />\n';
	s+='<br />\n';

	s+='<label > Diagonale<br />\n';
	s+='<select   name="objekte"  size="3" multiple="multiple" ><br />\n';
	for (let dia of listeDiagonale) {
		s+='<option value="'+dia+'"> '+dia+' Zoll" </option ><br />\n';
	}
	s+='</select>\n';
	s+='</label>\n';
	s+='<br />\n';
	s+='<br />\n';
	s+='<label > Diagonale2<br />\n';
	for (let dia of listeDiagonale) {
		s+='<input type="checkbox" name="diagonale[]" value="'+dia+'" />'+dia+' Zoll<br />\n';
	}
	s+='</label>\n';

	s+='<br />\n';
	s+='<br />\n';


	// filtersetzen ist startAjax2
	s+='<input type="button" value="Filter setzen" onclick="filtersetzen(this.form)"/>\n';
	s+='</div>';  // ende des Filters
	alert(s);
	return s;
}






function  createTVTable(tvListe, listeDiagonale) {
	"use strict";
	let elementAjax = document.getElementById("ajax");
	let s='';
	s+=getTVStyles();

	let sf1=' onsubmit="return validation()" ';            // neu
	let sf2=' action="showTvTabelleDetails.php" ';          // neu
	s+='<form  method="get"'  + sf1 + sf2 + '>\n';         // neu
	s+='<input type="submit" value="Jetzt Vergleichen" />';   // neu

	s+='<div>';  // 1. div
	s+='<div class="title">Artikelgruppe Fernseher</div>\n';
	s+='<br />';
	s+='<br />';
	s+='<input type="submit" value="Vergleichen" />\n';
	s+='<br />';

	s+='<div id="wrapperdialog1">\n';  // Grid für die Fernseher zwei gleichbreite Spalten

	s+='<div>';  // TV
	s+=getFilterStrings(listeDiagonale) ;
	s+='</div>';  // div TV ende

	s+='<div id="wrapperdialog2">\n';  // Grid für die Fernseher zwei gleichbreite Spalten

	let mainnr = 100;
	for (let tv of tvListe) {
		s+= createArticleCell(tv,mainnr);
		mainnr+=100;
	}

	s+='</div>\n';  // wrapperdialog2

	s+='</div>\n';  // wrapperdialog1

	s+='</div>';  // 1. div ende

	s+='</form>\n';  // neu
	elementAjax.innerHTML = s;
}




























function receiveJsonArtikeltabelle() {
	"use strict";
	// alert(xmlhttpArtikeltabelle.readyState);
	if (xmlhttpArtikeltabelle.readyState == 4) {
		if (xmlhttpArtikeltabelle.status == 200) {
			let elementAjax = document.getElementById("ajax");
			alert(xmlhttpArtikeltabelle.responseText);
			//elementAjax.innerHTML= xmlhttpArtikeltabelle.responseText;
			let resultTVs = JSON.parse(xmlhttpArtikeltabelle.responseText);
			if (resultTVs.isError) {
				elementAjax.innerHTML = "<h2> Fehler </h2> " + resultTVs.errortext;
			}
			else {
				createTVTable(resultTVs.liste, resultTVs.listeDiagonale);
			}
			//
		}  // if
		else {
			let error = 'Fehler:\nStatus: '+xmlhttpArtikeltabelle.status +'\nStatusText: '+xmlhttpArtikeltabelle.statusText;
			alert(error);
		}
	}  // if
}  //receiveJsonArtikeltabelle




































// ]]>
