<?php
	include_once('Result.php');
	include_once('Customer.php');
	include_once('customerDB.php');

	// updateEdit.php?pindex=13&cno=234&lastname=Brandt&firstname=Torsten&street=Marktstrasse+5&birthday=2018-03-07


	$ok = true;
	$errortext = '';
	$pindex=0;
	$cno=0;
	$lastname='';
	$firstname='';
	$street='';
	$birthday='';



	if ( isset($_GET['pindex']) ){   // Ist gesetzt?
		$str_pindex = $_GET['pindex'];
		if (is_numeric($str_pindex)) {
			$pindex = intval ( $str_pindex, 10 );
			if ($pindex<1) {
				$ok = false;
				$errortext.="Error in variable 'pindex': pindex must greater 0<br />";
			}
		}
		else {
			$ok = false;
			$errortext.="Error in number conversion: the variable 'pindex' is not any number<br />";
		}
	}
	else {
		$ok = false;
		$errortext.="Error: The param 'pindex' are not passed<br />";
	}


	if ( isset($_GET['cno']) ){   // Ist gesetzt?
		$str_cno = $_GET['cno'];
		if (is_numeric($str_cno)) {
			$cno = intval ( $str_cno, 10 );
			if ($cno<1) {
				$ok = false;
				$errortext.="Error in variable 'cno': cnos must greater 0<br />";
			}
		}
		else {
			$ok = false;
			$errortext.="Error in number conversion: the variable 'cno' is not any number<br />";
		}
	}
	else {
		$ok = false;
		$errortext.="Error: The param 'cno' are not passed<br />";
	}

	if ( isset($_GET['lastname']) ){   // Ist gesetzt?
		$lastname = $_GET['lastname'];
		$match = '/^[A-ZÄÖÜ]{1}[a-zäüöß]{1,29}$/';
		if(!preg_match($match, $lastname)) {
			$ok = false;
			$errortext.="Error: The param 'lastname' are not correkt<br />";
		}
	}
	else {
		$ok = false;
		$errortext.="Error: The param 'lastname' are not passed<br />";
	}


	if ( isset($_GET['firstname']) ){   // Ist gesetzt?
		$firstname = $_GET['firstname'];
		if(!preg_match($match, $firstname)) {
			$ok = false;
			$errortext.="Error: The param 'firstname' are not correkt<br />";
		}
	}
	else {
		$ok = false;
		$errortext.="Error: The param 'firstname' are not passed<br />";
	}



	if ( isset($_GET['street']) ){   // Ist gesetzt?
		$street = $_GET['street'];
	}
	else {
		$ok = false;
		$errortext.="Error: The param 'street' are not passed<br />";
	}



	if ( isset($_GET['birthday']) ){   // Ist gesetzt?
		$birthday = $_GET['birthday'];
	}
	else {
		$ok = false;
		$errortext.="Error: The param 'birthday' are not passed<br />";
	}

	if($ok) {

		$customer = new Customer();
		$customer->pindex = $pindex;
		$customer->cno = $cno;
		$customer->lastname = $lastname;
		$customer->firstname = $firstname;
		$customer->street = $street;
		$customer->birthday = $birthday;
		$result = updateCustomerDB($customer);

		if ($result->isError) {
			echo '<h2>Fehler</h2>';
			echo 'Fehlerhafte SQL-Anweisung' . '<br />';
			echo $result->errortext;
			echo '<form method="get" action="StartAmacon.php" >' . PHP_EOL;
			echo '<input type="submit" value="Wechseln zur Startseite" />' . PHP_EOL;
			echo '</form>' . PHP_EOL;
		}
		else {
			// sprung zur Startseite
			header('location: StartAmacon.php');
			exit(1);
		}

	}
	else{
		echo '<h2>Fehler</h2>';
		echo $errortext;
		echo '<form method="get" action="StartAmacon.php" >' . PHP_EOL;
		echo  '<br />' . PHP_EOL;
		echo '<input type="submit" value="Wechseln zur Startseite" />' . PHP_EOL;
	echo '</form>' . PHP_EOL;  }


?>

