<?php

	include_once('Result.php');
	include_once('Customer.php');
	include_once('CustomerDB.php');

	$ok = true;
	$pindex= 0;
	$errortext = '';


	if ( isset($_GET['pindex']) ){   // Ist gesetzt?
		$str_pindex = $_GET['pindex'];
		if (is_numeric($str_pindex)) {
			$pindex = intval ( $str_pindex, 10 );
			if ($pindex<1) {
				$ok = false;
				$errortext.="Error in pindex: the variable 'pindex' has to be greater zero";
			}
		}
		else {
			$ok = false;
			$errortext.="Error in number conversion: the variable 'pindex' is not any number";
		}

	}
	else {
		$ok = false;
		$errortext.="Error: The param 'pindex' are not passed";
	}

	if($ok) {
		$result = loadCustomerAndPatternFromDB($pindex);
		echo json_encode($result);
	}
	else{
		$result = new Result();
		$result->isError=true;
		$result->errortext = $errortext;
	}


?>
