<?php



	function getConnection() {
		$servername='localhost';
		$username='root';
		$passwd='';
		$database='alibaba';
		$conn = new mysqli($servername, $username, $passwd, $database);
		if ($conn->connect_error)  {
			die('Connection failded: ' . $conn->connect_error);
		}
		return $conn;
	}

	function getDBSequence1() {
		$conn = getConnection();
		if ($conn->connect_error)  {
			return 0;
		}


		$sql = 'UPDATE sequence SET id=LAST_INSERT_ID(id+1);';
		$result = $conn->query($sql);
		if ( $result ){
			$sql ='SELECT LAST_INSERT_ID()';
			$result = $conn->query($sql);
			if ( $result ){
				while ( $row = $result->fetch_array() ) {
					$sequence = intval($row[0]) ;
				} // while
			}  // if
			else {
				echo '2. sql ist false<br />';
			}
		}
		else {
			echo '1. sql ist false<br />';
			die('SQL-Anweisung gescheitert');
		}
		return $sequence;
	}


	// ---------------------------------------------------------------------------
	// ---------------------------------------------------------------------------



	function getDiagonalListe() {
		$result = new ResultDiagonale();
		$conn = getConnection();
		if ($conn->connect_error)  {
			$result->isError=true;
			$result->error = $conn->connect_error;
			return $result;
		}

		$sql = "SET NAMES 'utf8'";
		$resultSQL = $conn->query($sql);


		$sql = 'SELECT DISTINCT DIAGONALE FROM Fernseher ORDER BY DIAGONALE';
		$resultSQL = $conn->query($sql);
		if ( $resultSQL ){
			while ( $row = $resultSQL->fetch_array() ) {
				$dia= intval ( $row['DIAGONALE'] );
				$result->liste[]=$dia;
			} // while
		}
		else {
			$result->isError=true;
			$result->error = 'Fehlerhafte SQL-Anweisung<br />' . $conn->error . '<br />' . $sql;
		}
		return $result;
	} // getDiagonalListe



	function getFernseherListeShort() {
		$result = new ResultTvs();

		$conn = getConnection();
		if ($conn->connect_error)  {
			$result->isError=true;
			$result->error = $conn->connect_error;
			return $result;
		}
		$sql = "SET NAMES 'utf8'";
		$resultSQL = $conn->query($sql);


		$sql = 'SELECT PINDEX, ANR, BEZ, FIRMA, BREITE, HOEHE, DIAGONALE, BILDTECHNIK,EPREIS,  BILDPFAD  FROM FERNSEHER ORDER BY BEZ';
		$resultSQL = $conn->query($sql);
		if ( $resultSQL ){
			while ( $row = $resultSQL->fetch_array() ) {
				$fernseher = new Fernseher();
				$fernseher->pindex = intval ( $row['PINDEX'] );
				$fernseher->anr = intval ( $row['ANR'] );

				$fernseher->bez=trim($row['BEZ']);
				$fernseher->firma=trim($row['FIRMA']);
				$fernseher->breite = intval ( $row['BREITE'] );
				$fernseher->hoehe = intval ( $row['HOEHE'] );
				$fernseher->diagonale = intval ( $row['DIAGONALE'] );
				$fernseher->bildtechnik=trim($row['BILDTECHNIK']);
				$fernseher->epreis = floatval ( $row['EPREIS'] );
				$fernseher->bildpfad=trim($row['BILDPFAD']);

				$result->liste[]=$fernseher;

			} // while
		}
		else {
			$result->isError=true;
			$result->error = 'Fehlerhafte SQL-Anweisung<br />' . $conn->error . '<br />' . $sql;
		}
		return $result;
	} // loadArticleGroups



	function getFernseher($pindex) {
		$result = new ResultTv();
		$result->fernseher = new Fernseher();

		$conn = getConnection();
		if ($conn->connect_error)  {
			$result->isError=true;
			$result->error = $conn->connect_error;
			return $result;
		}
		$sql = "SET NAMES 'utf8'";
		$resultSQL = $conn->query($sql);


		$sql = 'SELECT PINDEX, ANR, BEZ, FIRMA, MENGE, BREITE, HOEHE, DIAGONALE, GEWICHT,  BILDTECHNIK,EPREIS,  BILDPFAD, BEM  ' .
		' FROM FERNSEHER WHERE PINDEX=' . $pindex;
		//echo $sql . '<br />';

		$resultSQL = $conn->query($sql);
		if ( $resultSQL ){
			//echo '1<br />';
			while ( $row = $resultSQL->fetch_array() ) {
				$fernseher = new Fernseher();

				$fernseher->pindex = intval ( $row['PINDEX'] );
				$fernseher->anr = intval ( $row['ANR'] );

				$fernseher->bez=trim($row['BEZ']);
				$fernseher->firma=trim($row['FIRMA']);
				$fernseher->menge =intval ( $row['MENGE'] );
				$fernseher->breite =intval ( $row['BREITE'] );
				$fernseher->hoehe = intval ( $row['HOEHE'] );
				$fernseher->diagonale = intval ( $row['DIAGONALE'] );
				$fernseher->gewicht = floatval ( $row['GEWICHT'] );
				$fernseher->bildtechnik=trim($row['BILDTECHNIK']);
				$fernseher->epreis = floatval ( $row['EPREIS'] );
				$fernseher->bildpfad=trim($row['BILDPFAD']);
				$fernseher->bem=trim($row['BEM']);
			} // while
			$result->fernseher = $fernseher;
		}
		else {
			$result->isError=true;
			$result->error = 'Fehlerhafte SQL-Anweisung<br />' . $conn->error . '<br />' . $sql;
		}
		return $result;
	} // loadArticleGroups

?>

