<html>
	<head>
		<title> PHP-Beispiel 1 </title>
		<meta name="author" content="Administrator"/>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<link rel="stylesheet" type="text/css"  href="editCustomer.css" title="style1"/>
	</head>

	<script type="text/javascript">
		// <![CDATA[
		"use strict";

		function  edit_yes( form ) {
			"use strict";
			let valid = form.checkValidity();
			if (valid) {
				form.action = 'updateEdit.php';
				form.methode='get';
				form.submit();
			}
			else {
				alert('Bitte gültige Werte eintragen');
			} // validation
		}  // function edit_yes

		function  edit_no( form ) {
			"use strict";
			form.action='StartAmacon.php';
			form.method = 'get';
			form.submit();
		}  // function edit_no

		// ]]>
	</script>




<body>
	<form>
		<h3>Ändern eines Kunden</h3>
<?php
	include_once('Result.php');
	include_once('Customer.php');
	include_once('customerDB.php');

	$ok = true;
	$pindex = 0;
	$errortext = '';

	if ( isset($_GET['pindex']) ){   // Ist gesetzt?
		$str_pindex = $_GET['pindex'];
		if (is_numeric($str_pindex)) {
			$pindex = intval ( $str_pindex, 10 );
			if ($pindex<=0) {
				$ok = false;
				$errortext.="Error in the variable 'pindex' : wrong value<br />pindex: $pindex<br />";
			}
		}
		else {
			$ok = false;
			$errortext.="Error in number conversion: the variable 'pindex' is not any number";
		}

	}
	else {
		$ok = false;
		$errortext.="Error: The param 'pindex' are not passed";
	}


	if($ok) {
		echo $pindex;
		$result = loadCustomerFromDB($pindex);
		if ($result->isError) {
			echo '<h2>Fehler</h2>';
			echo $result->errortext;
		}
		else {
			$customer = $result->arr[0];
			//echo $customer->lastname . '<br />';
		}
	}
	else{
		echo '<h2>Fehler</h2>';
		echo $errortext;
	}


?>






<?php
	if($ok) {
		// $customer
	?>

	<div id="wrapperdialog">

		<label class="column1"  for="t1Id">Pindex</label>
<input type="text" readonly="readonly" class="column2" name="pindex" id="t1Id"  readonly="readonly" value="<?php echo $customer->pindex; ?>" size="12" />

	<label class="column1"  for="t2Id">Kundennummer</label>
<input type="number" class="column2" name="cno" id="t2Id" min="1" max="99999" value="<?php echo $customer->cno; ?>" size="12" />







<label class="column1"  for="t3Id">Nachname</label>
<input type="text" class="column2" name="lastname" id="t3Id" placeholder="1 Großbuchstabe, 29 Kleinbuchstaben" pattern="^[A-ZÄÖÜ]{1}[a-zäüöß]{1,29}$"
required="required"  value="<?php echo $customer->lastname; ?>" size="12" />

	<label class="column1"  for="t4Id">Vorname</label>
	<input type="text" class="column2" name="firstname" id="t3Id" placeholder="1 Großbuchstabe, 29 Kleinbuchstaben"
	pattern="^[A-ZÄÖÜ]{1}[a-zäüöß]{1,29}$"
required="required"  value="<?php echo $customer->firstname; ?>" size="12" />





<label class="column1"  for="t5Id">Straße</label>
<input type="text" class="column2" name="street" id="t4Id"  placeholder="Strassenname und Hausnummer"
	pattern="^[A-ZÄÖÜ]{1}[a-zäüöß]{1,29}([ -][A-ZÄÖÜ]{1}[a-zäüöß]{1,29}){0,1}([ ][1-9][0-9]{0,3}[a-z]{0,1})$"  required="required"
value="<?php echo $customer->street; ?>" size="12" />

	<label class="column1"  for="t6Id">Geburtstag</label>
<input type="date" class="column2" name="birthday" id="t3Id" value="<?php echo $customer->birthday; ?>" size="12" />



</div> <!-- wrapperdialog -->

<?php
}



?>


<br />
Änderung speichern? <br />
<input type="button" value="Ja" onclick="edit_yes(this.form)"/>
<input type="button" value="Nein" onclick="edit_no(this.form)"/>
<input type="reset" value="Reset"/><br />

</form>
</body>
</html>

