
// <![CDATA[

"use strict";

let xmlhttpMainTable = new XMLHttpRequest();
xmlhttpMainTable.onreadystatechange = receiveJsonMainTable;

// startAjax
function callMainTable() {
	"use strict";
	let param = 'getMainTable.php';
	//alert(param);
	xmlhttpMainTable.open("GET", param);
	xmlhttpMainTable.setRequestHeader('Pragma', 'no-cache');
	xmlhttpMainTable.setRequestHeader('Cache-Control', 'must-revalidate');
	xmlhttpMainTable.send();

}









function receiveJsonMainTable() {
	"use strict";
	// alert(xmlhttpMainTable.readyState);
	if (xmlhttpMainTable.readyState == 4) {
		if (xmlhttpMainTable.status == 200) {
			let elementAjax = document.getElementById("ajaxtable");
			//alert(xmlhttpMainTable.responseText);
			//elementAjax.innerHTML= xmlhttpMainTable.responseText;

			let result = JSON.parse(xmlhttpMainTable.responseText);
			if (result.isError) {
				elementAjax.innerHTML = '<h2>Fehler</h2>' + result.errortext;
			}
			else {
				let liste = result.arr;
				let s = createTable(liste, 'Nummer','pindex','callEdit', 'callDelete');
				elementAjax.innerHTML = s;
			}

		}  // if
		else {
			let error = 'Fehler:\nStatus: '+xmlhttpMainTable.status +'\nStatusText: '+xmlhttpMainTable.statusText;
			alert(error);
		}
	}  // if
}  //receiveJsonMainTable









// ]]>